# Obsidian MathJax WikiLinks
Obsidian plugin to render MathJax within WikiLinks.

> **Note**:
> This plugin is no longer hosted on the community plugins list for Obsidian and I have no long term plans to maintain it, as it has exactly the functionality that I personally need.
> 
> The functionality this plugin provided was merged into [obsidian-mathlinks](https://github.com/zhaoshenzhai/obsidian-mathlinks) upon release [release 0.3.0](https://github.com/zhaoshenzhai/obsidian-mathlinks/releases/tag/0.3.0), and [Zhaoshen Zhai](https://github.com/zhaoshenzhai) who developed that plugin has since added live preview support.

## Demo
In vanilla obsidian, the WikiLink `[[sigma-algebra|$\sigma$-algebra]]` renders without the MathJax expression as follows:

![No MathJax Link](no-mathjax-link.png)

while links of the form `[$\sigma$-algebra](sigma-algebra.md)` will render correctly:

![MathJax Link](mathjax-link.png)

This plugin unifies the two versions, rendering MathJax properly in the first case.

## Building From Source
```
> npm i
> npm run build
```
